Method: runtimespecs.list

Lists available Colab runtime specs and their eligibility to the requesting user.

HTTP request

GET https://colaboratory.googleapis.com/v1beta/runtimespecs

The URL uses gRPC Transcoding syntax.

Request body

The request body must be empty.

Response body

Response message for runtimespecs.list.

If successful, the response body contains data with the following structure:

JSON representation
{
  "runtimeSpecs": [
    {
      object (RuntimeSpec)
    }
  ]
}
Fields
runtimeSpecs[]

object (RuntimeSpec)

The list of runtime specs available to the requesting user.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/colaboratory
  • https://www.googleapis.com/auth/colaboratory.readonly

For more information, see the OAuth 2.0 Overview.

RuntimeSpec

A specification of a runtime.

JSON representation
{
  "key": {
    object (RuntimeSpec.Key)
  },
  "eligible": boolean
}
Fields
key

object (RuntimeSpec.Key)

Required. The key of the runtime spec.

eligible

boolean

Output only. Whether the requesting user is eligible for the runtime spec.